import { HttpClient } from '@angular/common/http';
import { Observable, BehaviorSubject } from 'rxjs';
import { CryptService } from '../crypt.service/crypt.service';
import 'rxjs/add/operator/map';
export declare class CryptHttpService {
    private http;
    private crypt;
    secret: string;
    cryptInactive: boolean;
    warnInactive: boolean;
    running: boolean;
    isOnLoad: BehaviorSubject<boolean>;
    constructor(http: HttpClient, crypt: CryptService);
    private encrypt;
    private decrypt;
    private setCryptHeaders;
    private warn;
    configure(options: any): void;
    onLoad(): Observable<boolean>;
    get(url: string, options: any): Observable<any>;
    patch(url: string, body: any, options: any): Observable<any>;
    post(url: string, body: any, options: any): Observable<any>;
    put(url: string, body: any, options: any): Observable<any>;
    delete(url: string, options: any): Observable<any>;
    options(url: string, options: any): Observable<any>;
}
